Bug 1324367 - Review Request: libkml - Reference implementation of OGC KML 2.2
Summary: Review Request: libkml - Reference implementation of OGC KML 2.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roman Tsisyk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-06 07:55 UTC by Sandro Mani
Modified: 2016-05-01 00:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-30 23:53:39 UTC
Type: ---
roman: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2016-04-06 07:55:32 UTC
Spec URL: https://smani.fedorapeople.org/review/libkml.spec
SRPM URL: https://smani.fedorapeople.org/review/libkml-1.3.0-1.fc25.src.rpm
Description: Reference implementation of OGC KML 2.2
Fedora Account System Username: smani

Note: this revives the dead libkml Fedora package, using the actively maintained fork at github.com/libkml/libkml instead of the dead github.com/google/libkml.

Comment 1 Roman Tsisyk 2016-04-08 06:27:49 UTC
* Please add %{?python_provide:%python_provide python2-%{srcname}} macro:
https://fedoraproject.org/wiki/Packaging:Python#The_.25python_provide_macro

* It would be nice to enable unit tests in %check as suggested by upstream:

> It is HIGHLY recommended that you build and run all unit tests. 
https://github.com/libkml/libkml/blob/wiki/BuildingAndInstalling.md#running-the-unit-tests
https://fedoraproject.org/wiki/Packaging:Guidelines#Test_Suites

* Actually, this library is a fork of original Google library,
so you can't call it "Google's reference implementation".
It makes sense to re-word %description.

>This is Google's reference implementation of OGC KML 2.2.

* You can use
Source0: https://github.com/libkml/libkml/archive/%{version}/libkml-%{version}.tar.gz
instead of
Source0: https://github.com/libkml/libkml/archive/%{version}.tar.gz
to get libkml-1.3.0.gz archive instead of 1.3.0.tar.gz

All other things are OK.

--------
+[X]: Package does not contain kernel modules.
+[X]: Package contains no static executables.
+[X]: Development (unversioned) .so files in -devel subpackage, if present.
      Note: Unversioned so-files in private %_libdir subdirectory (see
      attachment). Verify they are not in ld path. 
+[X]: Package is licensed with an open-source compatible license and meets
      other legal requirements as defined in the legal section of Packaging
      Guidelines.
+[X]: License field in the package spec file matches the actual license.
+[X]: License file installed when any subpackage combination is installed.
+[X]: Package must own all directories that it creates.
+[X]: %build honors applicable compiler flags or justifies otherwise.
+[X]: Package contains no bundled libraries without FPC exception.
+[X]: Changelog in prescribed format.
+[X]: Sources contain only permissible code or content.
+[X]: Package contains desktop file if it is a GUI application.
+[X]: Development files must be in a -devel package
+[X]: Package uses nothing in %doc for runtime.
+[X]: Package consistently uses macros (instead of hard-coded directory
      names).
+[X]: Package is named according to the Package Naming Guidelines.
+[X]: Package obeys FHS, except libexecdir and /usr/target.
+[X]: Spec file is legible and written in American English.
+[X]: Package is not known to require an ExcludeArch tag.
+[X]: Python eggs must not download any dependencies during the build
      process.
+[X]: A package which is used by another package via an egg interface should
      provide egg info.
--------

Comment 2 Sandro Mani 2016-04-08 21:37:18 UTC
Spec URL: https://smani.fedorapeople.org/review/libkml.spec
SRPM URL: https://smani.fedorapeople.org/review/libkml-1.3.0-2.fc25.src.rpm

%changelog
* Fri Apr 08 2016 Sandro Mani <manisandro@gmail.com> - 1.3.0-2
- Don't call it Google's reference implementation in Summary/Description
- Update Source URL
- Add python_provide macro
- Enable tests


Cool thing about the "archive/%{version}/libkml-%{version}.tar.gz", never saw that one before.

Comment 3 Roman Tsisyk 2016-04-09 19:45:25 UTC
Good job.
Package is APPROVED.

Comment 4 Sandro Mani 2016-04-09 20:56:30 UTC
Thanks! If you need a review some time, feel free to ping me.

Comment 5 Fedora Update System 2016-04-15 11:10:39 UTC
libkml-1.3.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6a047959a

Comment 6 Fedora Update System 2016-04-15 11:10:46 UTC
libkml-1.3.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-37e9302a4c

Comment 7 Fedora Update System 2016-04-15 11:10:50 UTC
libkml-1.3.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-769b3cc6ff

Comment 8 Fedora Update System 2016-04-15 23:21:54 UTC
libkml-1.3.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-769b3cc6ff

Comment 9 Fedora Update System 2016-04-19 20:30:49 UTC
libkml-1.3.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-04-22 03:26:04 UTC
libkml-1.3.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-37e9302a4c

Comment 11 Fedora Update System 2016-04-22 20:58:32 UTC
libkml-1.3.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6a047959a

Comment 12 Fedora Update System 2016-04-30 23:53:37 UTC
libkml-1.3.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-05-01 00:23:06 UTC
libkml-1.3.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.